Skip to main content
GET
List products

Authorizations

Authorization
string
header
required

Bearer token for authentication

Query Parameters

name
string

Optional filter by product name

description
string

Optional filter by product description

pagination.page
integer<int32>

The (zero-based) offset of the first item returned in the collection.

pagination.page_size
integer<int32>

The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.

project_filter
enum<string>
default:PRODUCT_PROJECT_FILTER_UNSPECIFIED

Optional filter by project presence

  • PRODUCT_PROJECT_FILTER_UNSPECIFIED: No filter, return all products (default/unspecified)
  • PRODUCT_PROJECT_FILTER_WITH_PROJECTS: Return only products that have projects associated
  • PRODUCT_PROJECT_FILTER_WITHOUT_PROJECTS: Return only products that have no projects associated
Available options:
PRODUCT_PROJECT_FILTER_UNSPECIFIED,
PRODUCT_PROJECT_FILTER_WITH_PROJECTS,
PRODUCT_PROJECT_FILTER_WITHOUT_PROJECTS
business_unit_ids
string[]

Optional filter by business unit IDs

Response

A successful response.

products
List of products matching the filters and pagination · object[]
pagination
OffsetPaginationResponse is used to return the pagination information · object
Example: